- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MComponentDataIndexingList Class Reference

# OpenMayaRender - API module for rendering

Search for all occurrences

## Detailed Description

A list of MIndexBufferDescriptor objects.

`#include <MComponentDataIndexing.h>`

List of all members.

## Public Member Functions
| MComponentDataIndexingList ()
| Constructor.
| ~MComponentDataIndexingList ()
| Destructor.
int | length () const
| Get the number of MComponentDataIndexing in the list.
const MComponentDataIndexing * | operator[] (int index) const
| Gets the MComponentDataIndexing at the requested index.
bool | append (const MComponentDataIndexing &desc)
| Add a MComponentDataIndexing to the list.
bool | removeAt (int index)
| Remove a MComponentDataIndexing from the list.
void | clear ()
| Clears the list.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class. Search for all occurrences

## Member Function Documentation

int length | ( |  | ) | const

Search for all occurrences

Get the number of MComponentDataIndexing in the list.

Returns:
  The number of MComponentDataIndexing in the list

const MComponentDataIndexing * operator[] | ( | int | index | ) | const

Gets the MComponentDataIndexing at the requested index.

Parameters:

  [in] | index | The index of the MComponentDataIndexing to retrieve

Returns:
  A pointer to the internally held MComponentDataIndexing

bool append | ( | const MComponentDataIndexing & | desc | ) |

Search for all occurrences

Add a MComponentDataIndexing to the list.

Creates and stores a copy which is owned by the list.

Parameters:

  [in] | desc | The MComponentDataIndexing to add.

Returns:
  True on success

bool removeAt | ( | int | index | ) |

Search for all occurrences

Remove a MComponentDataIndexing from the list.

Parameters:

  [in] | index | The index of the MComponentDataIndexing to remove

Returns:
  True on success

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList
MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList MComponentDataIndexingList